### Method

# Fwupd BiosSetting has_possible_value

#### Declaration [src]

    gboolean
    fwupd_bios_setting_has_possible_value (
      FwupdBiosSetting* self,
      const gchar* val
    )

#### Description [src]

Finds out if a specific possible value was added to the attribute.

Available since: | 1.8.4

#### Parameters

`val` | `const gchar*`
| The possible value string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the self matches.